//
//  TestCoreDataStack.swift
//  BookList
//
//  Created by Natsuko Nishikata on 2015/12/16.
//  Copyright © 2015年 Natsuko Nishikata. All rights reserved.
//

import Foundation
import CoreData
@testable import BookList

class TestCoreDataStack: CoreDataStack {
    override init() {
        // 管理オブジェクトモデル、永続ストアコーディネータ、管理オブジェクトコンテキストの初期化
        super.init()
        // メモリ内ストアを追加
        let coordinator = context.persistentStoreCoordinator!
        try! coordinator.addPersistentStoreWithType(NSInMemoryStoreType,
            configuration: nil,
            URL: nil,
            options: nil)
    }
}